
/* A simple Qt GUI. */

#include <qapplication.h>
#include <qpushbutton.h>

/* The main widget. This could be any QWidget-derived object, but is just a
   QPushButton with a single callback in this case. */

class MyPushButton : public QPushButton {
Q_OBJECT
public:
  MyPushButton( char *str, QWidget *w );
public slots:
  virtual void clickedcb() { };
};
